--- old/usr/src/uts/common/os/logsubr.c	Mon Sep 21 20:02:15 2020
+++ new/usr/src/uts/common/os/logsubr.c	Mon Sep 21 20:02:15 2020
@@ -216,7 +216,7 @@
 	log_intrq = log_makeq(0, LOG_HIWAT, (void *)ipltospl(SPL8));
 
 	/*
-	 * Create a queue to hold the most recent 8K of console messages.
+	 * Create a queue to hold the most recent 64K of console messages.
 	 * Useful for debugging.  Required by the "$<msgbuf" adb macro.
 	 */
 	log_recentq = log_makeq(0, LOG_RECENTSIZE, NULL);
--- old/usr/src/uts/common/sys/log.h	Mon Sep 21 20:02:16 2020
+++ new/usr/src/uts/common/sys/log.h	Mon Sep 21 20:02:16 2020
@@ -30,8 +30,6 @@
 #ifndef _SYS_LOG_H
 #define	_SYS_LOG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/strlog.h>
 #include <sys/stream.h>
@@ -55,7 +53,7 @@
 #define	LOG_HIWAT	1048576		/* threshold for tossing messages */
 
 #define	LOG_MAGIC	0xf00d4109U	/* "food for log" - unsent msg magic */
-#define	LOG_RECENTSIZE	8192		/* queue of most recent messages */
+#define	LOG_RECENTSIZE	65536		/* queue of most recent messages */
 #define	LOG_MINFREE	4096		/* message cache low water mark */
 #define	LOG_MAXFREE	8192		/* message cache high water mark */
 
